Skip to main content
GET
/
v1
/
suppliers
/
accounts
/
{id}
/
sites
Get Sites Associated with an Account
curl --request GET \
  --url https://api.voltview.co.uk/v1/suppliers/accounts/{id}/sites \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "accountId": "<string>",
    "referenceId": "<string>",
    "invoices": [
      {
        "id": "<string>",
        "filePath": "<string>",
        "extension": "<string>",
        "mpanMprn": "<string>",
        "supplyType": "electricity",
        "supplierName": "<string>",
        "supplierAccountNumber": "<string>",
        "customerName": "<string>",
        "invoiceNumber": "<string>",
        "invoiceDate": "2023-12-25",
        "dueDate": "2023-12-25",
        "chargeStartDate": "2023-12-25",
        "chargeEndDate": "2023-12-25",
        "meterSerialNumber": "<string>",
        "siteAddress": "<string>",
        "paymentMethod": "<string>",
        "standingCharge": 123,
        "standingChargeType": "<string>",
        "cclRate": 123,
        "vatRate": 123,
        "readFromDate": "2023-12-25",
        "readFromType": "actual",
        "readToDate": "2023-12-25",
        "readToType": "actual",
        "consumption": 123,
        "dayConsumption": 123,
        "nightConsumption": 123,
        "unitRate": 123,
        "dayUnitRate": 123,
        "nightUnitRate": 123,
        "correctionFactor": 123,
        "calorificValue": 123,
        "totalUnitCharge": 123,
        "totalStandingCharge": 123,
        "capacityCharge": 123,
        "amountDueNetOfVat": 123,
        "vat": 123,
        "totalAmount": 123,
        "status": "pending",
        "validationStatus": "pending"
      }
    ],
    "contracts": [
      {
        "customerType": "domestic",
        "supplierAccountNumber": "<string>",
        "supplierName": "<string>",
        "supplierAddress": "<string>",
        "supplierCode": "<string>",
        "customerName": "<string>",
        "billingAddress": "<string>",
        "contractNumber": "<string>",
        "contractStartDate": "2023-12-25",
        "contractEndDate": "2023-12-25",
        "cclRate": 123,
        "isFixedContract": true,
        "isMarketRates": true,
        "isMicroBusiness": true,
        "paymentMethod": "<string>",
        "contractTermMonths": 123,
        "supplyPoints": [
          {
            "mpanMprn": "<string>",
            "supplyType": "electricity",
            "meterSerialNumber": "<string>",
            "siteName": "<string>",
            "siteAddress": "<string>",
            "tariffName": "<string>",
            "isNonContractedRate": true,
            "standingCharge": 123,
            "standingChargeType": "<string>",
            "unitRate": 123,
            "dayUnitRate": 123,
            "nightUnitRate": 123,
            "estimatedAnnualConsumption": 123,
            "previous12MonthsConsumption": 123,
            "maximumImportCapacity": 123,
            "capacityRate": 123,
            "directDebitDiscount": 123,
            "brokerName": "<string>",
            "brokerUplift": 123,
            "vatRate": 123
          }
        ]
      }
    ],
    "creditNotes": [
      {
        "id": "<string>",
        "filePath": "<string>",
        "extension": "<string>"
      }
    ],
    "debitNotes": [
      {
        "id": "<string>",
        "filePath": "<string>",
        "extension": "<string>"
      }
    ],
    "certificates": [
      {
        "id": "<string>",
        "filePath": "<string>",
        "extension": "<string>"
      }
    ],
    "others": [
      {
        "id": "<string>",
        "filePath": "<string>",
        "extension": "<string>"
      }
    ],
    "loas": [
      {
        "id": "<string>",
        "filePath": "<string>",
        "extension": "<string>"
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Supabase Auth JWT access token obtained after signing in via magic link or OTP

Path Parameters

id
string
required

Account ID

Response

Sites retrieved successfully

id
string

Site identifier

accountId
string

Account identifier

referenceId
string

Reference identifier

invoices
object[]

List of invoices for the site

contracts
object[]

List of contracts for the site

creditNotes
object[]

List of credit notes for the site

debitNotes
object[]

List of debit notes for the site

certificates
object[]

List of certificates for the site

others
object[]

List of other documents for the site

loas
object[]

List of loas for the site